%define _without_photo_album 1
%undefine _with_photo_album
%define _without_xmms 1
%undefine _with_xmms

%ifnarch i386
%define _without_wine 1
%undefine _with_wine
%endif

%if 0%{?fc7}%{?el4}%{?el5}
%define _without_pulseaudio 1
%undefine _with_pulseaudio
%endif

%if 0%{?el4}
%define _without_gpgme 1
%undefine _with_gpgme
%define _without_libnotify 1
%undefine _with_libnotify
%endif

%if 0%{?rhel}
%define _without_xmms 1
%undefine _with_xmms
%endif

Name:		gyachi
Version:	1.1.61
Release:	4%{?dist}
Summary:	A Yahoo! chat client with Webcam and voice support

Group:		Applications/Internet
License:	GPLv2
URL:		http://gyachi.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#Patch0:	configure.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake gawk sed
BuildRequires:	expat-devel gettext-devel
BuildRequires:	glibc-devel >= 2.2.0 gtkhtml2-devel
%if 0%{?el4}
BuildRequires:	libtool
%else
BuildRequires:	libtool libtool-ltdl-devel
%endif
%if 0%{?el4}
BuildRequires:	xorg-x11-devel
%else
BuildRequires:	libXt-devel
%endif
BuildRequires:	gettext-devel gtkhtml2-devel
BuildRequires:	desktop-file-utils ImageMagick
BuildRequires:	openssl-devel
BuildRequires:	gtk2-devel
BuildRequires:	jasper-devel >= 1.701.0
BuildRequires:	libv4l-devel

Requires:	gtk2
#jasper >= 1.701 needed for memory leak fix.
%if 0%{?fc7}%{?el4}%{?el5}
Requires:	jasper >= 1.701.0
%else
Requires:	jasper-libs >= 1.701.0
%endif
Requires:	ImageMagick

Obsoletes:	gyachi-plugin-blowfish     <  0:%version-%release
Obsoletes:	gyachi-plugin-gpgme        <  0:%version-%release
Obsoletes:	gyachi-plugin-mcrypt       <  0:%version-%release
Obsoletes:	gyachi-plugin-photo_album  <  0:%version-%release
Obsoletes:	gyachi-plugin-photosharing <= 0:1.1.26
Obsoletes:	gyachi-plugin-xmms         <  0:%version-%release
Obsoletes:	gyachi-plugin-libnotify    <  0:%version-%release
Obsoletes:	gyachi-plugin-pulseaudio   <  0:%version-%release
Obsoletes:	gyachi-plugin-gtkspell     <  0:%version-%release


%description
GYachI is a Linux client for Yahoo! Messenger protocol, 
written using GTK+ GUI toolkit. This package includes both 
the external voice chat program, GYVoice, and the 
external webcam program, GyachI-Webcam. 
In addition, this package includes GyachI-Broadcaster for 
sending webcam streams.

%description -l de
GYachI ist ein Linux client für das Yahoo! Messenger Protokoll 
und besitzt eine GTK+-Oberfläche. Dieses Paket beinhaltet 
auch externe Programme für Audio- und Videochat.

%description -l sr
GYachI je klijent za Yahoo! Messenger, napisan pomoću GTK+ 
grafičkog alata. Uz ovaj program isporučuje se eksterni "chat" program, 
kao i programi za korišćenje web-kamere (slanje i primanje slike).


%if 0%{!?_without_blowfish:1}
%package	plugin-blowfish
Summary:	Blowfish encryption plugin for GyachI
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}

%description	plugin-blowfish
Blowfish encryption plugin for GyachI
%endif


%if 0%{!?_without_gpgme:1}
%package	plugin-gpgme
Summary:	GPGMe encryption plugin for GyachI
Group:		Applications/Internet
BuildRequires:	gpgme-devel
Requires:	%{name} = %{version}-%{release}

%description	plugin-gpgme
GPGMe encryption plugin for GyachI
%endif


%if 0%{!?_without_mcrypt:1}
%package	plugin-mcrypt
Summary:	MCrypt encryption plugin for GyachI
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
Requires:	libmcrypt >= 2.5.0
Buildrequires:	libmcrypt-devel >= 2.5.0
      
%description	plugin-mcrypt
MCrypt encryption plugin for GyachI
%endif


%if 0%{?_with_photo_album:1}
%package	plugin-photo_album
Summary:	Photo album plugin for GyachI
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}

%description	plugin-photo_album
Photo album plugin for GyachI
%endif


%if 0%{?_with_xmms:1}
%package	plugin-xmms
Summary:	XMMS plugin for GyachI
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
Requires:	xmms >= 1.2.0
Buildrequires:	xmms-devel >= 1.2.0

%description	plugin-xmms
XMMS plugin for GyachI
%endif


%if 0%{!?_without_libnotify:1}
%package	plugin-libnotify
Summary:	libnotify popup replacement
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
Buildrequires:	libnotify-devel

%description	plugin-libnotify
libnotify plugin for GyachI
%endif


%package	plugin-alsa
Summary:	libalsa sound driver
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
BuildRequires:	alsa-lib-devel >= 0.9
Requires:	alsa-lib >= 0.9

%description	plugin-alsa
ALSA sound driver for gyachi


%if 0%{!?_without_pulseaudio:1}
%package	plugin-pulseaudio
Summary:	pulseaudio sound driver
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
BuildRequires:	pulseaudio-libs-devel
Requires:	pulseaudio-libs

%description	plugin-pulseaudio
PulseAudio sound driver for gyachi
%endif


%if 0%{!?_without_gtkspell:1}
%package	plugin-gtkspell
Summary:	gtkspell spell check
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
BuildRequires:	gtkspell-devel
Requires:	gtkspell

%description	plugin-gtkspell
Spell check plugin for gyachi using gtkspell
%endif


%package	recre8-theme
Summary:	GyachI Prototype theme
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}

%description	recre8-theme
%{summary} This package supplies the artwork for the GyachI recre8 theme.


%package	YMlike-theme
Summary:	GyachI Prototype theme
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}

%description	YMlike-theme
%{summary} This package supplies the artwork for the GyachI YMlike theme.
This theme is an independent re-implementation of the yahoo theme.


%package	pidgy-theme
Summary:	GyachI Prototype theme
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}

%description	pidgy-theme
%{summary} This package supplies the artwork for the GyachI pidgy theme.
This theme uses the pidgin icons, and is copyrighted by it's respective authors.


%prep
%setup -q
#%patch0 -p1


%build
./autogen.sh

#NOTE: xmms & photo_album are disabled, by default, in configure.
#      if either are wanted, then they must be explicitely enabled!
%configure --disable-rpath \
	--libexecdir=%{_libexecdir}/gyachi \
	%{?_without_wine:--disable-wine} \
	%{?_without_blowfish:--disable-plugin_blowfish} \
	%{?_without_mcrypt:--disable-plugin_mcrypt} \
	%{?_without_gpgme:--disable-plugin_gpgme} \
	%{?_without_pulseaudio:--disable-plugin_pulseaudio} \
	%{?_without_libnotify:--disable-plugin_libnotify} \
	%{?_without_gktspell:--disable-plugin_gtkspell} \
	%{?_with_photo_album:--enable-plugin_photo_album} \
	%{?_with_xmms:--enable-plugin_xmms} 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
rm $RPM_BUILD_ROOT%{_libdir}/libgyachi.la
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/libgyachi*.la
%find_lang %{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf ../%{name}/themes/gyachi-classic/gyach-icon_48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
desktop-file-install --delete-original \
	--vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--mode 0644 \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/audibles
%{_datadir}/%{name}/smileys
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/tuxvironments
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/gyachi-classic
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}-*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/libgyachi.so
%{_docdir}/%{name}-%{version}
%docdir %{_docdir}/%{name}-%{version}

%if 0%{!?_without_blowfish:1}
%files plugin-blowfish
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}blowfish.so
%endif

%if 0%{!?_without_gpgme:1}
%files plugin-gpgme
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}gpgme.so
%endif

%if 0%{!?_without_mcrypt:1}
%files plugin-mcrypt
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}mcrypt.so
%endif

%if 0%{?_with_photo_album:1}
%files plugin-photo_album
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}photos.so
%endif

%if 0%{?_with_xmms:1}
%files plugin-xmms
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}xmms.so
%endif

%if 0%{!?_without_libnotify:1}
%files plugin-libnotify
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}libnotify.so
%endif

%files plugin-alsa
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}alsa.so

%if 0%{!?_without_pulseaudio:1}
%files plugin-pulseaudio
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}pulseaudio.so
%endif

%if 0%{!?_without_gtkspell:1}
%files plugin-gtkspell
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}gtkspell.so
%endif

%files recre8-theme
%defattr(-,root,root,-)
%{_datadir}/%{name}/themes/recre8/

%files YMlike-theme
%defattr(-,root,root,-)
%{_datadir}/%{name}/themes/YMlike/

%files pidgy-theme
%defattr(-,root,root,-)
%{_datadir}/%{name}/themes/pidgy/


%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.61-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.61.3
- change plugin Obsoletes

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 1.1.61-2
- rebuild with new openssl

* Sat Jan 03 2009 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.61.1
- Add fix for segfault in file transfer.

* Mon Dec 22 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.60.1
- Fixed plugin obsoletes.

* Fri Dec 19 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 1.1.59-7
- Fixed wrong obsoletes names for xmms and photo album plugin
- Fixed rpmlint noise for changelog and removed mix of space and tabs on SRPM

* Fri Nov 28 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.59.6
- Added Obsoletes for previous versions of modules no longer being built.

* Tue Nov 25 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.59.5
- Upstream updates. Added gtkspell spellchecker.

* Sat Nov 22 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.58.5
- Upstream updates - added a [Revert] button to webcam upload, to revert cam
- settings to saved rc settings.

* Fri Nov 21 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.57.5
- Upstream updates - better support of webcam features.

* Fri Nov 21 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.56-5
- Upstream updates - webcam viewer/uploader fix for segfault. Cache "custom
- away message" between runs, convert the systray icon to a GtkStatusIcon

* Wed Nov 19 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.55-5
- Upstream fix for Y15 login seg fault.

* Wed Nov 19 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.53-14
- obsoleted photo_album plugin.

* Mon Nov 17 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.53-10
- updated from upstream.

* Thu Nov  6 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.50-10
- updated from upstream.

* Mon Oct 20 2008 Gregory D Hosler <ghosler@users.sourceforge.net> - 1.1.49-3
- Added pidgy theme
- Added support for libv4l

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> - 1.1.46-10
- Patch to use libv4l for support for more webcams

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.1.46-9
- include %%_libdir/gyachi directory
- include recre8 theme directory
- post+postun: run /sbin/ldconfig directly

* Fri Aug  8 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.46-8
- sync with upstream patchs

* Fri Aug  8 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.45-8
- sync with upstream patchs

* Sun Aug  3 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.43-8
- removed DEPRECATED compile option for GTK.

* Sun Aug  3 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.43-7
- removed unnecessary reference to theme-patch formerly as Patch0

* Sun Aug  3 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.43-6
- update to upstream 1.1.43

* Sat Jul 12 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.35-16
- gyachi obsoletes gyachi-plugin-photosharing

* Tue Jul  8 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.35-15
- plugin-photo_album obsoletes plugin-photosharing

* Thu Jun 20 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.35-12
- Changed jasper-libs back to jasper for el4/el5

* Fri Jun 20 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.35-8
- disabled libnotify, gpgme for RHEL4, changed libXt-devel and
- libtool-ltdl-devel for RHEL4

* Mon Jun 16 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.35-7
- disabled xmms plugin for rhel, pulseaudio for EL4/EL5
- removed a gnu extension strchrnul in theme_support.c

* Mon Jun 16 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.35-6
- Made Alsa driver a plugin, added pulseaudio support as a plugin.
- Disabled pulseaudio plugin for F7

* Tue May 20 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.32-3
- added openssl-devel as dependency

* Tue May 20 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.32-2
- updated configure to automatically build xmms & photo_album plugins.

* Mon May 05 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.32-1
- updated gyachi to 1.1.32 from upstream
- fixed %%files to include the full documentation directory, and the new
- libgyachi library.
- updated configure to set libdir & libexecdir to be %%{_libdir} (x64 lib fix)
- added new gyachi modules (libnotify, and recre8)
- updated the name change of the old photosharing module to photo_album

* Tue Feb 05 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-7
- Fix directory ownership and timestamp issues highlighted by Mamoru Tasaka and Parag Nemade

* Tue Feb 05 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-6
-  Apply upstream patch to make it build on all arch's

* Mon Feb 04 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-5
- Add ExcludeArchs

* Mon Feb 04 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-4
- Fix review as per Parag Nemade 

* Sun Feb 03 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-3
- Initial spec file based on spec from Christopher Polyte (drpixel)
